YOU'LL NEED TO UPDATE YOUR QUEST BOOK BY TYPING:
/bq_admin default load
(This has to only be done once in multiplayer, by an admin.)

Version 2.19.3:

Mod Changes:

- Add Demagnetize 1.1.2
- Update Thaumic Energistics 2.2.5 -> 2.2.6
- Update BQTweaker 3.1.3 -> 3.1.5
- Update Universal Tweaks 1.4.0 -> 1.5.0
- Update ZenUtils 1.12.8 -> 1.13.1

Bugfixes:

- Resolve TombManyGraves Death Lists from corrupting the player inventory after dying too many times. This is done by dropping them in-world rather than allowing them to go into the grave, so should be minimally impactful.
- Fix a crash and a few undesirable behaviors relating to inserting items into a Drawer Controller. These were caused by a Universal Tweaks config, "Item Handlers".
- Fix items combining in situations where they wouldn't prior to 2.19.2. This was caused by a Universal Tweaks config, "Item Entities".
- Stop a crash when using the HFT in your offhand while your main hand had an item and right clicking on a Drawer face that did not accept items.
- Fix occasionally consuming a second item without an animation (UT).

Balance Changes:

- Move Viaducts into early Mekanism (Chapter 6).
- Move Long Range Viaducts into mob_grinding_utils (Chapter 9).
- Add a Mystical Agriculture recipe for Aether Dirt.
- Add a Mystical Agriculture recipe for most saplings, and most logs using that sapling.
- Add a Mystical Agriculture recipe for Tinker's Slime Saplings & Slime Blocks.
- Add a Mystical Agriculture recipe for Wildwood Saplings.
- Add a Mystical Agriculture recipe for Abyssalcraft Stone.

QoL:

- Make UB ores drop the ore they are based on when Silk Touched instead of their actual raw ore.
- Remove Thermal Foundation Platinum, Astral Sorcery Rock Crystal, and Astral Sorcery Starmetal from the list of UB ores. These ores are created, not worldgen, so having them exist is just clutter.
- Remove the now-unused Untreated Viaducts from JEI.
- Stop random natura crops generating in non-overworld/non-nether dimensions.
- Hid all but Stripped Red Cedar Logs & variants from JEI, as they are unobtainable.
- Add an Activate Block Interaction to JEI for the Bark Stripper converted Red Cedar Logs into Stripped Red Cedar Logs.
- Add crafting recipes for Stripped Red Cedar Pillars and Stripped Red Cedar Pillar Bases.
- Make the Creative Essentia Cell from Thaumic Energistics contain unlimited MAX_INT quantity of essentia rather than just an unlimited 1000 (Thaumic Energistics).
- Add a JEI category to turn unpowered snowglobes into powered snowglobes.
- Add the Demagnetizer block to Chapter 11 and the Advanced Demagnitizer to Chapter 12.
- Allow creating paths underneath blocks (UT)

Text and Quest Changes:

- Add a quest for Viaducts, explaining how they work and offering a sizable reward for making them to incentivize investing in a system.
- Fix JetPlate quests underrepresenting the capacity of the JetPlates.  
- Fix a typo of Mekanism in the Laser Focus Multiblock quest. 
- Fix the dimensions on the Extreme Reactors quest being Z instead of Y in the Cyanite Ingot quest.  
- Fix another erroneous reference to Ender Cores on only being able to be activated in the End in the Ender Core (Enhanced) quest.
- Tone down the praise of the Digital Miner in the Digital Miner quest. RIP the "most powerful quarry".
- Instruct about valid IE Waterwheels orientations in relation to Kinetic Dynamos in the Waterwheel quest.
- Fix the Blood Infuser quest requiring specific NBT data.
- Add a quest to Chapter 11 for the Demagnetizer.


Version 2.19.2:

Mod Changes:

- Add Startup Timer 1.0.1
- Update Totemic 0.11.6 -> 0.11.7
- Update Crafttweaker 4.1.20.681 -> 4.1.20.684
- Update Thaumic Augmentation 2.1.8 -> 2.1.9
- Update ZenUtils 1.12.2 -> 1.12.8
- Update Not Enough Energistics 2.0.0 -> 2.0.2
- Update Recurrent Complex 1.4.8.2 -> 1.4.8.4
- Update JEI Utilities 0.2.8 -> 0.2.11
- Update Universal Tweaks 1.2.0 -> 1.4.0
- Remove FastWorkBench
- Remove Tinkers OreDict Cache

Bugfixes:

- Remove the final references to an "betterbuilderswands:wandunbreakable" with a damage of 0. 
- Prevented a random Thaumic Augmentation boss Shield from being captureable in Soul Vials.
- Removed Bibliocraft Gold/Iron Lamp/Lantern Chisel Categories, as attempting to chisel them in-world causes a crash.
- Fix a crash involving Universal Tweaks attempting to play a sound on server start (Universal Twaeks).
- Fix a crash wherein a Vanilla Hopper placed pointing into the top half of a Thaumcraft Thaumatorium caused crashes upon being loaded (Universal Tweaks).
- Fix a crash involving clicking some bookmarked recipes (Not Enough Energistics).
- Ouroboros has been slain.

Balance Changes:

- Actually removed the AntiCow Abyssalcraft Ritual mentioned in 2.19.0 (it was moved to be a Roots Summon Creatures Ritual).
- Add Liquid Meat as an output to the Passive Mob recipe of the Mob Loot Fabricator.
- Add a Slime recipe to the Mob Loot Fabricator, outputting all 3 Tinker's Construct Slimeballs, Vanilla Slimeballs, Aether Legacy Swet Balls, and Industrial Foregoing Pink Slime Balls.

QoL:

- Add a startup timer to the bottom left of the startup screen. Defaults to 5 minutes, as polling indicates that is the average time for startup (Startup Timer).
- Add a hidden clearing recipe to RFTools PowerCell cards.
- Add an ownership clearing method to Blood Magic items, allowing teams to change the primary network controller (if, say, a player goes inactive or leaves) instead of having to recreate all those items.
- Add an ownership clearing method to AbyssalCraft Necronomicons. Automatically attunes itself to the player crafting it. More impactful than the Blood Magic version, as Necronomicons store specifically the player name rather than the UUID.
- Remove the Vanilla Snooper feature (Universal Tweaks).

Text and Quest Changes:

- Switch requirement order of Immersive Engineering's Metal Press and its Molds.
- Clarify PackageAuto's Packager quest on the limitations of the Packager.
- Fix both Chapter 20's `Brrrrrrrrr... Icy!` quest and the LightningCraft Receiver & Transmitter quests requiring both items instead of either item.
- Add a note to Chapter 29's Peace Essence quest informing the player that they will eventually need 12 total.
- Fix an incorrect statement about Sparkling Aquamirines being the only option when Rock Crystals are available.
- Adjust the tip saying "any bosses more than once" to "most bosses more than once" due to needing to kill a few bosses a non-one amount of times.
- Add a hidden quest that requires "It never blinks" (Eye of Ender quest) and is required by "Get to the End already!" (the End Dimension quest) that automatically and silently completes and is named "Requires the Induction Smelter". Hopefully, this will end the frequent questions of where the "It never blinks" quest is.
- Add a tooltip to each Blood Magic Rune, informing of their effects on the Blood Altar.
- Add a tooltip to Blood Magic Runes of Capacity and Runes of Augmented Capacity that they do not combine, and that their breakpoint is 15 Runes of Augmented Capacity.
- Add a tooltip to Roots Cloud Berries, Infernal Bulbs, Dewgonia, and Stalicripes about how they can be grown on any Elemental Soil.
- Add a tooltip to Roots Baffle Cap about how they grow exactly like Vanilla Mushrooms.
- Add tooltips to each Thermal Expansion Upgrade Kit and Conversion Kit about what benefits they give.
- Add a tooltip to all Framed Drawers about what materials they have.
- Add a tooltip to all Drawers about their current max item count, including current upgrades.
- Add a tooltip to all Drawers about their currently held items.


Version 2.19.1:

Bugfixes:

- Fix server files missing a `;`, and thus breaking most scripts.
- Remove ingot casts from the Chemical Caster multiblock to allow it to form.

QoL:

- Disable the UT easy enable cheats button to prevent its seductive influence from causing people to cheat.
- Remove the NEE WIP item.

Text and Quest Changes:

- Adjust the Chemical Caster quest to reflect the bugfix.


Version 2.19.0:

Mod Changes:

- Add Not Enough Energistics 2.0.1
- Add Universal Tweaks 1.2.0
- Add MixinBooter 7.0
- Update AE2-UEL 0.54.9 -> 0.54.19
- Remove No Recipe Book
- Remove Fast Leaf Decay
- Remove No Night Vision Flashing
- Remove Sweep Through Grass

Bugfixes:

- Use ContentTweaker instead of Zenutils for event commands due to a Spongeforge-related permission issue
- Fix some stair recipes outputting the incorrect quantity of stairs.
- Fix some duplicate items being required for Enchantment Books.
- Fix unobtainable stacks being required for Enchantment Books.
- Fix a duplication bug for RFTools Button Modules.
- Fix the output being 8 instead of 1 for RFTools Button Modules and Elevator Button Modules.
- Fix recipes sometimes not being able to be moved to the AE2 Crafting Terminal. (NEE)
- Fix health, experience, food, and similar stats being visually (or actually) reset on dimension change/game restart. (UT)
- Fix entities having duplicate UUIDs spamming the log. (UT)
- Fix the Turkish locale from causing localization crashes. (UT)
- Added the missing mod preventing Tinkers Oredict Cache from loading. (MixinBooter)

Balance Changes:

- Add a Quicksilver -> Cinnabar recipe, allowing Mystical Agriculture to create Cinnabar.
- Add a Mystical Agriculture recipe for Aether Legacy Holystone.
- Nerf Unbreakable Wand being too cheap.
- Nerf Veined Scribing Tools being too cheap.
- Add Mystical Agriculture recipes for Energized and Destabilized Clathrate.
- Convert Abyssalcraft Sapling creation rituals to use the Roots Transmutation Ritual.
- Convert most entity summoning methods to use the Roots Summon Creature Ritual.
- Adjust the cost of the Summon Creatures and Transmutation Rituals.
- Remove the Wildwood Sapling recipe.
- Add summoning via the Roots Summon Creatures Ritual to: Natura Imps, Vanilla Villagers, Thaumcraft Wisps, DivineRPG Scorchers, Abyssalcraft Shadow Creatures (Creature, Monster, Beast), Anti-Cows, Totemic Buffaloes, Totemic Bald Eagles, Vanilla Guardians, Vanilla Evokers. For some, this replaces the preexisting way to summon them.
- Using the Roots Transmutation Ritual, added a way to obtain:
	- Bewitchment Spanish Moss from Vanilla Vines
	- All Vanilla Saplings from other Vanilla Saplings
	- All Vanilla Flowers from other Vanilla Flowers
	- All Vanilla Double-tall Flowers from Vanilla Flowers
	- All Natura Saplings (Maple, Silverbell, Amaranth, Tiger, Willow, Eucalyptus, Hopseed, Sakura, Redwood, Ghostwood, Fusewood, Darkwood, Bloodwood)
	- Both Thaumcraft Saplings (Greatwood, Silverwood)
	- Most Bewitchement Saplings (Cypress, Elder, Juniper)
- Uncap attributes, making things like Astral Sorcery's Perks not get silently nerfed. (UT)

QoL:

- Add Thaumcraft Research Table to the Activate Block or Entity JEI category.
- Add a Beacon Base category to JEI. 
- Add an Enervation Dynamo category to JEI, which only shows the actual recipes (not all the misleading filler discharge ones).
- Hide the original Enervation Dynamo category.
- Add Milk from a Cow, Antimatter from an Anti-Cow, and Poison Bucket from an Aechor Plant to the Activate Block or Entity JEI category.
- Hide the unique Tier 6 crop JEI category, as its features are already in Agricraft's Crop Output JEI category.
- Add Botania's Double-tall Flowers to the Activate Block or Entity JEI category.
- Add helper JEI categories for Summon Creatures and Transmutation.
- Made the hopper have a hitbox matching its actual size. (UT)
- The Infinity enchant no longer requires an arrow. (UT)
- Add a noise when the game finishes starting up and when a player finishes joining a world. (UT)
- Disables the skybox and ground flash when lightning strikes. (UT)
- Add smooth scrolling to GUIs. (UT)
- Keep Thaumcraft's Thaumometer stable when scanning objects. (UT)

Text and Quest Changes:

- Add a tooltip to Agricraft Crop Sticks to duplicate the tooltip on EnderIO Farming Stations warning about their interaction.
- Make only the Lightningcraft Receiver or Transmitter be required to complete the respective quests.
- Add more items to the "AE2 consumes item!" warning, tweak to indicate it is only autocrafting which does so.
- Fix incorrect name for Supernatural Velocity being used in the questbook.
- Allow all 3 rocket quests to accept rockets of the appropriate tier with any size of storage.
- Add a number of oxford commas to Tips.
- Add quests for both the Roots Transmutation and Summon Creatures Rituals, providing instructions on how they work.
- Alter the Bewitchment chapter's Villager quest for the Summon Creatures Ritual.
- Alter the Woodland Mansion Locator Token quest to allow skipping the Token if a Totem of Undying is already obtained. Instruct about the Summon Creatures Ritual.
- Alter the Anti-Cow quest for the Summon Creatures Ritual.
- Fix a typo in Chapter 29's `Proactive` quest.
- Fix an incorrect item reference in Chapter 19's `Constructing the unconstructable` quest.
- Fix a typo in Chapter 29's `Hope there is no traffic jam` quest.
- Fix a pair of typos in Chapter 19's `Essentially... it's a Smeltery!` quest.
- Fix Chapter 20's `Brrrrrrrrr... Icy!` quest requiring an unobtainable item in some worlds - now accepts either the correct ID or a one-shifted ID.
- Fix a typo in Chapter 20's `Dwelled deep enough...` quest.
- Fix an incorrect item reference in Chapter 23's `Of Deepest Blue` quest.
- Fix an incorrect number in Chapter 22's `Part of the Golden Club` quest.
- Add information that dimension-specific biomes do not work in the Quantum Quarry to its respective quest.
- Add information to Chapter 20's `Itching for more Witching` about the Eternal Water Bucket.
- Add information to Chapter 17's `Will you do this for me?` quest about another video to learn about Demonic Will farming.
- Add information to Chapter 20's `Yet another Altar! Yay!` about requiring a minimum of 1 or 2 thousand Altar Power.
- Add a tooltip to QuantumFlux Ender Crystals about them being dropped by Endermen.


Version 2.18.0:

Mod Changes:

- Added Framed Compacting Drawers 1.2.7

Bugfixes:

- Change all enchantment recipes which used inputs with metadata to use inputs without metadata.
- Reduce the crafting output of Openblocks Tanks to fix another bug. :(
- Make the Thermal Arcane Enscrollator give the enchanted books rather than just books with enchants.
- Fix Immersive Engineering having a 1=>2 Copper Rod recipe.
- Prevent incorrect Titanium Ingots from being obtainable in a few lingering ways.
- Fix AIM having the wrong recipes for some Thaumium Fortress Helm Variants.
- Remove Bibliocraft's FancyWorkbench.
- Remove the outdated Tender Ender Blender Blueprint - the multiblock was removed, but the recipe was left in.
- Fix the Immersive Engineering Workbench voiding drops if broken on the wrong side.
- Fix Thaumium Fortress Helm and one of its upgrades having different essentia values in the AIM than in the Runic Matrix.
- Fix the Thaumic Energistics Knowledge Core recipe having increased aspect cost in the AIM.

Balance Changes:

- Change the Drill Silk Touch Augment recipe to use silky crystals instead of silk touch enchantment books.
- Make ESDs require Wood Casing instead of Iron Casing
- Add the Hand Framing Tool, a tool created for the Nomifactory modpack (<https://www.curseforge.com/minecraft/modpacks/nomifactory>). Changed slightly in the following ways:
	- Added compat to the Storage Drawer Extras mod.
	- Framing is always free - the blocks are not consumed when setting the pattern, and no sticks are used to convert a drawer into a Framed Drawer.
	- Added color to the tooltip.
	- The demo blocks displayed in JEI are Dark Steel Block, Steaming Restonia, and Light Gray Antiblock.
- Add a Mystical Agriculture Essence recipe for Enderman Heads.
- Make Guard's Bonemeal no longer obtainable via the Lightning Crusher, and make it only obtainable via a recipe in the Lightningcraft Infusion Multiblock.

QoL:

- Hide accidentally added facades from JEI.
- Add Actually Additions Black Quartz as a Compacting Drawer recipe.
- Add Botania's various Quartzes as a compacting drawer recipe.
- Add an Upgrade Template recipe for normal Framed Drawers.
- Remove recipes to make items from Storage Drawer Extras.
- Add melting and casting recipes for the Ender Block.
- Make EnderIO's Armor upgrade recipes keep enchantments, power, and upgrades.
- Add Potato Armor to the Activate Block JEI category.
- Add Botania Ender Air to the Activate Block JEI category.
- Create a Charge Item JEI category, displaying charging recipes for Charged Certus Quartz Ore, Charged Certus Quartz, Fluxed Aqua-Chow, and Fluxed Phyto-Grow.
- Create a Metamorphic JEI category, displaying how using the Marimorphosis allows you to obtain the different Metamorphic Rocks.
- Create a Terrestrial Agglomeration Plate JEI category, displaying the recipe for Terrasteel.
- Create a Configure JEI category, showing how various wrenches, configuration, and utility items can be used. For example: Changing the color of the Cave Illuminator, copying data between conduits, binding flowers to targets, forming IE Multiblocks, renaming items, or framing drawers.

Text and Quest Changes:

- Added a quest describing the Hand Framing Tool to chapter 1
- Edit a quest rewarding a Framing Table to instead reward a key
- Encourage use of the Hand Framing Tool over the Framing Table, since the HFT does not consume the blocks, whereas the Framing Table does.
- Fix incorrect block reference to Glimmering Livingwood instead of Glimmering Dreamwood on Astral Sorcery's Infused Wood Block.
- Fix a typo in the Lightning Powah quest.
- Amend incorrect information in the Diesel Generator quest exaggerating the cost of running a ME system.
- Fix the final reference to all Infusion Crystals being unbreakable.
- Remove unneeded info from the Automation Interface Quest.
- Fix the Tainted Blood Pendant Quest accepting non-Saturation Brew pendants.
- Increase the amount of Coke Dust requested by the Quest from 20 to 36.
- Fix the Draconic Evolution Capacitor Quests being NBT-specific.
- Change the reward for Defeating the Eldritch to a partial Primordial Pearl, fixing empty enchant book reward.
- Remove the warning tooltip from DivineRPG boss summoning items, as the referenced bug has been fixed.
- Add a quest for the Immersive Engineering Assembler.
- Rearrange Chapter 4.
- Change youtube links to youtu.be short links.
- Update a few links in the questbook.
- Remove now unneeded tooltips from Fluxed Aqua-Chow and Fluxed Phyto-Grow.
- Inform about Guardians randomly spawning in Deep Ocean biomes to the Ocean Monument quest.
- Change Melodic Conduit suggestion to Stellar for the Weak Fusion Plant.
- Update the Golden Club information quest for Lightningcraft.
- Fix TEPid Brine having incorrect placement instructions for the controller.


Version 2.17.1:

Mod Updates: 
- DJ2Addons 1.2.2.1 -> 1.2.1.1.1

Bugfixes:
- Bewitchment Ovens now function properly again.
- Roots tools can no longer be used to bypass some unbreakable dungeon blocks.

Balance Changes:
- Reduce the rate of Quartz Ore in the Overworld by disabling one of the two types.

QoL:
- Add multiple ores to Underground Biomes generation:
	- Evilcraft's Dark Ore
	- Abyssalcraft's Coralium Ore
	- Bewitchment's Garnet and Opal ores
	- DivineRPG's Arlemite, Realmite, and Rupee ores

Text changes and quest fixes:
- Correct Sylvan armor questbook info




Version 2.17.0:

Mod Updates:
- AE2-UEL 0.53.3 -> 0.54.9 
- Better Builders Wands 245 -> 271 
- Bigger Crafting Tables 2.3 -> 2.3 
- CraftTweaker 4.1.20.675 -> 4.1.20.681 
- FastWorkbench 1.7.3 -> 1.7.4 
- FoamFix 0.10.14 -> 0.10.15 
- MouseTweaks 2.10.0 -> 2.10.1 
- LootTweaker 0.3.0old parser -> 0.3.1 
- Planet Progression 0.4.6 -> 0.4.8 
- ZenUtils 1.11.0 -> 1.12.2
- DJ2Addons 1.2.0.1 -> 1.2.1.1
- Thaumic Augmentation 2.1.7 -> 2.1.8

Mod Additions:
- JEI Utilities 0.2.8

Bugfixes:
- Update BetterP2P. No longer always crashes, but still crashes if the network has a Security Terminal.
- Fix Nether Lapis and Nether Cobalt names being flipped for the Immersive Engineering Excavator.
- Prevent Forgiving Void from activating in Vethea.
- Allow Lightningcraft's tier 2 Lightning Miner to craftable (formerly required an unobtainable item).
- Reduce the maximum stack size of OpenBlocks and EnderIO Fluid Tanks to 1 to prevent a dupe bug. (If there was another way I knew of to solve this, I would take it).
- Make OpenBlocks Sun Crystal be able to be picked up while in Liquid Sunshine
- Fix a bug where Chisels&Bits couldn't chisel some blocks once partly chiseled.
- Make Natura Sticks craftable diagonally.
- Make Atum's sticks craftable diagonally.
- Fix the wrong Abyssalnite ore being used for the Excavator Vein.
- Remove Salt Ore and Aluminium Ore (keeping Aluminum) from the Actually Additions Mining Lens.
- EnderIO Simple Machines will now defy gravity.
- Disable the spawning of Hellsprouts (caused extreme amounts of lag when using a Builder to mine the Nether).
- Prevent Quark x Actually Additions enchantment book dupe.

Balance Changes:
- Change Firey Ungent recipe to require an Alkima and Ignis Vis Crystal instead of 2 Ignis Crystals.
- Reduce the cost of the Actually Additions Fishing Net to Hemp from Immersive Engineering and edit related recipes and quests.
- Reduce the maximum stack size of OpenBlocks and EnderIO Fluid Tanks to 1 to prevent a dupe bug. (If there was another way I knew of to solve this, I would take it).
- Add a Mystical Agriculture recipe for Bewitchment Coquina.
- Tweak Building Gadgets to be significantly cheaper to make, adjust quests.
- Reduced the frequency of veins containing Diamonds in early on dimensions.
- Reenabled the Roots spells of: Petal Shell, Extension, Life Drain, and Shatter. These spells are gated to significantly later in progression than the "normal" spells. Added these spells to the same quest as Acid Cloud, which will only require one of the spells within.
- Disabled the Roots Spectral Drain and the Gifts of Undeath modifiers.
- Make Crafting Table on a Stick cost an Immersive Engineering Treated Stick instead of an Ender Utilities Ender Stick.
- Decrease the frequency of Parrot spawning slightly, significantly increase the frequency of Cow spawning.
- Reduce the cost of the Scepter of Thunder, and add an alternative (EnderIO Weather Obelisk) for the relevant quest.
- Add a 1 -> 8 recipe for Mystical Agradditions Withering Soul (gain 1 per Wither) to produce Quark's Wither Ash. 
- Changed the recipe for Glimmering Dreamwood to be similar to Glimmering Livingwood.
- Change Astral Sorcery Infused Wood from costing any log to costing Glimmering Dreamwood.
- Add the Cheater's Thaumonomicon to the end of Chapter 19. Add a correseponding quest.
- Add a Mystical Agriculture Cincinnasite recipe.
- Disable the use of individual Blood Magic Elemental Inscription Tools (can now only use while inside a Ritual Diviner).
- Disable Quark Ancient Tomes from generating in dungeons. Confusing to players, had a dupe bug.
- Adjust the XP cost of Last Stand. **Not** nerfed into the ground, but now slightly scaling based on XP. In terms of instances of 20 damage with 8 levels of Last Stand, level 1000 only gets you 1253 hits compared to 34717 hits, but 50 levels still gets you 42 hits.
- Reduce the number of possible enchantments for the Astral Sorcery Amulet, allowing only the best and most effective to spawn. Significant buff.
- Add matching recipes for enchantment books to the EnderIO Enchanter and Thermal Enchanter. Make almost all enchantment books obtainable.

QoL:
- Increase output of the cosmetic Invisibility Actually Additions Laser Relay upgrade (to 16).
- Hide a number of unobtainable and non-useful items in JEI.
- Add Mending Moss to the Activate Block JEI category.
- Add a recipe for the Flux-Infused Shield from Spartan Shields, and remove its incorrect tooltip.
- Add a Coal Coke Dust + Iron Ingot = 2 Steel recipe to EnderIO's Alloy Smelter (to match the Immersive Engineering Arc Furnace recipe).
- Increase Chisels&Bits bag stack size from 512 to 2048.
- Add a recycling recipe to Blood Magic Runes - toss in water to wash away the markings!
- Add Botania's various grass transforming seeds to the Activate Block JEI category.
- Add Drop of Evil to the Activate Block JEI category.
- Display the Crown of Skies unlocking the Aether Dimension to the Activate Block JEI category.
- Consolidate activating Ender Cores in the Activate Block JEI category.
- Add an conversion recipe back to block form for the ME Fluid Interface part.
- Edit the default keybinds to now have: Simply Jetpack's Disable Engine start unbound, and Draconic Evolution's Place Item In World start as `P`.
- Adjusted the starting inventory paper to provide info about the Questbook `K`,  OreExcavation `` ` ``, and Place In World `P`.
- Add AE2 P2P Attunement recipes to the Activate Block JEI category.
- Remove the NBT tag from Glod Crystal, Glod Crystal Block, Empowered Glod Crystal, and Empowered Glod Crystal Block, using the lang file to give them the correct color instead.
- Make the Spartan Shields quest reward the correct Enchanted Book (Spikes II).
- Add Chisel Carving categories for most things which can be recolored (some are impossible, but some may have been missed):
	- Vanilla Beds and Banners
	- Industrial Foregoing Laser Lens and Conveyors
	- Thaumcraft Banners, Candles, and Nitor
	- Quark Flowerpots and Stained Planks
	- Bewitchment Candles
	- Bibliocraft Typewriter, Sword Pedestal, Iron Lantern, Gold Lantern, Iron Lamp, and Gold Lamp
	- Applied Energistics 2 Paint Ball, Paint Ball Lumen, Glass Cable, Covered Cable, Smart Cable, Dense Cable, and Dense Smart Cable
	- ProjectRed Illumar, Wire, Bundled Cable, and Framed Wire
	- Mekanism Plastic Block, Slick Plastic Block, Glow Plastic Block, Reinforced Plastic Block, Road Plastic Block, Plastic Fence, Balloon, and Glow Panel
- Add recipes to and from Blood Magic's alternative Alter capstones
- Readd the Quark dropoff/merge button the the vanilla inventory, and add it to the bauble and Aether equipment inventories.
- Readd Quark chest/inventory management buttons, and make them appear on most chest and chest-like inventories.
- Add Spartan Shield's Diamond Shield, Simply Jetpack's Creative Jetpack, and Extra Utilities 2's Boomerang to Quark's checked enchantments for enchanted book tooltips.
- Update the lava tank quest to introduce the Holding enchantment.
- Display the use of Botania's Phantom Ink in the Activate Block JEI category.

Text changes and quest fixes:
- Fix typo in tooltip incorrectly informing about "Dim Constellations" rather than "Faint Constellations".
- Remove an incorrect tier tooltip from Dragon Egg seeds.
- Fixed Ender Alloy quest reward rewarding Enhanced when it should be Advanced (and vice versa).
- Reduce the quest requirement of the OpenBlocks Tank quest (due to them now being unstackable, again sorry its to fix a dupe bug).
- Reduce the cost of the Scepter of Thunder, and add an alternative (EnderIO Weather Obelisk) for the relevant quest.
- Remove the command linking to the guides repo.
- Update the lava tank quest to introduce the Holding enchantment.
- Update the Roots Spore Sports quest to no longer give incorrect information about how only vanilla cobblestone can be used (has been any cobblestone for multiple versions).
- Update the BetterP2P quest to use the BetterP2P item (bug introduced when BetterP2P was updated).
- Add a few more tips to the loading screen relating to recent changes.
- Edit the Craft an Unbreakable Wand quest to include information about compat with /dank/null and `/wandOops`.
- Add a note to the Philosopher's Stone quest about it not being consumed.
- Edit a related quest that incorrectly presented it as if the Philosopher's Stone was consumed.
- Remove invalid information about spawning in entities from the Wand of Animation (disabled feature).
- Add a quest informing the player about Immersive Engineering Lightning Rods.
- Add information about the Extended Pattern Terminal as an alternative to Packaged Auto.
- Fix the incorrect object being referenced in the Gaia Pylon quest.
- Fix incorrect information about different mob skulls being helpful in the Thaumcraft Runic Matrix quest.
- Add information about the cheaty (but everyone uses it) glass roof flux strategy.
- Add information about looting from Mortum dungeons to the Alchemical Brass quest.
- Correct information about the Void Metal Essentia Smeltery being the fastest. Actually slower, but it is the most efficient.
- Add information about looting generated structures to the Demonstone quest.
- Remove useless information about automating Demon Hearts, since a duplication recipe was added.
- Correct all Galacticraft Compressors to only non-electric ones.
- Add information about what each stat of Agricraft seeds does.
- Remove useless info about how to automate Alchemistry Chemical Combiners.
- Instruct about the alternative to the optional Alchemistry Electrolyzer quest.
- Update all quests relating to Infusion Crystals, since they are all unbreakable.
- Add a note to the BetterP2P quest about how it crashes the game. Should be fixed by the next update.
- Remove incorrect information about Supremium Blocks being a valid dimlet.
- Add Tungsten Seeds  as a requirement to the relevant Mystical Agriculture quest.
- Add information about how the Extra Utilities Creative Drum isn't actually usable in survival.
- Adjust Aerogel quest, as it no longer has said bug.
- Remove information about the Gear Press making Gears cheaper.
- Moderate expectations on how good the Redstone Furnace actually is.
- Inform about how the Mekanism Pressurized Reaction Chamber can be configured to accept liquids from any side.
- Instruct about the GUI the RFTools Shape Card has.
- In the End is doesn't even need to be in the end.
- Remove the instruction that you'll have to automate Mystical Agriculture Floral Fertilizer
- Be looser about automation options in relation to Botania's Livingrock, Livingwood, and Contenttweaker's Livingmatter.
- Add information about looting Apalachia dungeons for Radiant Beacons
- Remove now-obsolete information about automating Essentia with Thaumic Energistics, since the update to the fork in 2.16.0 fixed partitioning. 

Misc:
- Remove Sulfur Ore from the Industrial Foregoing Laser Drill config.
- Remove 744 dev files totaling nearly a megabyte of size. Ow.



Version 2.16.0:

Mod Updates:
- DJ2Addons: 1.1.0 -> 1.2.0
- AE2 Extended Life: 0.52.4 -> 0.53.3
- Roots: 3.1.5 -> 3.1.6
- Thaumic Additions: 2.2.3 -> 2.2.5

Mod Additions:
- Requious Frakto 0.12
- Zen Utils 1.11.2
- Tinkers OreDict Cache 1.0

Bugfixes:
- Fix Aerogel creation causing crashes
- Bewitchment now only accepts items with the correct nbt data
- Fix bug where you couldn't use the Astral Sorcery Luminescent Table if you hadn't manually crafted it
- Fix Uncrafting table still having a duplication bug despite it being disabled via config
- Prevent salt ore from dropping the wrong salt by making salt ore unobtainable again
- Fix Chrome Singularity having 2 recipes, with one invisible
- Prevent Runic Smasher from breaking supposedly unbreakable dungeon blocks
- Prevent minor progression skip by removing Bewitchment's Biome Shift ritual
- Fixed the Amethyst Hoe having significantly more durability than it should
- Fixed the wrong Glod being given as a quest reward
- Fix a dupe bug involving Certus Quartz
- Make Mystical World Pearls give the correct amount of buttons
- Fix Silver Shulker Boxes being uncraftable due to a conflicting recipe
- Fix Thermal Expansion's recipe for Contenttweaker's Chicken Nugget only using one specific flour
- Prevent the Bibliocraft Bell from being obtainable, as it causes bugs
- Prevent Tinkers Construct Slime Islands from generating on the Moon
- Fix the Skyroot bucket duplicating in the Aether Enchanter
- Updating Thaumic Energistics to the fork fixes Essentia Storage Cells not being able to be partitioned
- Updating Thaumic Energistics to the fork reduces lag when using the Arcane Crafting Terminal on large networks
- Updating Thaumic Energistics to the fork fixes strange connection issues involving AE2 Security

Balance Changes:
- Updating Thaumic Energistics to the fork introduces automated Arcane Crafting
- Added Immersive Engineering Ore veins to most dimensions
- Remove the Tender Ender Blender
- Right clicking on a Stabilized End Crystal or End Crystal with an Ender Core activates it, regardless of dimension
- Increase the cost of the Astral Sorcery Luminescent Table
- Throwing a Sun Crystal in EnderIO Liquid Sunshine instantly fills it
- Throwing Gold Ingots or Gold Blocks into EnderIO Fire Water converts them into Demon Metal Ingots and Demon Metal Blocks, respectively
- Increased music amount and cap from Totemic Instruments. This makes rituals significantly easier to complete (should solve #213)
- Buff Spiked Plate damage and blood multiplier, by a total of x64

QoL:
- Added a JEI tab displaying Immersive Ore veins
- Added a right-click interaction tab displaying various recipes (most were told as tooltips previously)
- Make any lava placed in the Aether convert into Aerogel
- Fluid tanks can be used in place of buckets for all* crafts which consume fluid (*hopefully didn't miss any)
- Add Mystical Agriculture essence recipes for magical saplings
- Increase amount of RF Exciters gained per craft
- Right clicking on an Astral Sorcery table allows the player to use that tier of table (previously, would require crafting it or sharing a Scroll of Written Expertise)
- Hide useless Tinkers Construct Gear Cast
- Add Vethea mob drops as a Mob Loot Fabricator recipe
- Add all* Witch drops to the Mob Loot Fabricator (*hats are still excluded)
- Energized Certus Quartz Block now requires the correct RF amount
- Add an alternative recipe for HOP Graphite Ingots - 8 Coal Coke smelted in an EnderIO Alloy Furnace
- Hide uncraftable Lightningcraft tools (most removed due to being buggy)
- Starmetal ore below a Celestial Crystal Cluster now reverts to Ludicrous Ore, instead of Iron
- Add EMC to a number of blocks/nuggets
- Significantly reduce the cost of 'small' and 'medium' Storage Crates, add quests describing them
- Change Blood Magic's Blood Tank recipe to make it not absurdly expensive, instead just costing increasing amounts of Life Essence
- Break Glod Blocks and Empowered Glod Blocks now drops the correct nbt data versions
- Add (back) textures to Blood Magic's Sigil recipes
- Add uncrafting for Black Quartz Blocks
- Add an uncrafting recipe for Compressed Crafting Tables
- Buff the length of the Warpward Brew
- Updating Thaumic Energistics adds "ghost aspects", which can be dragged from JEI for configuration

Text changes and quest fixes:
- Added a few commands `/dj2 [command]` to link to various places - curseforge, discord, bugs, and guides
- Add a tooltip to Builders Gadgets Paste containers indicating their maximum paste amount
- Fix typo in DJ2's custom advancement for unlocking Roots
- Updating Thaumic Augmentation changes a bunch of text in its Thaumonomicon section
- (Chapter 1) Add a quest for the Small Storage Crate
- (Chapter 3) Add a quest for the Medium Storage Crate and the Storage Crate Keeper
- (Chapter 4) Fix a typo in the Facilitate and Capacitate quest
- (Chapter 7) Suggest waiting on the Supernatural Velocity quest
- (Chapter 11) Fix a few typos relating to the Builder Card
- (Chapter 14) Change the unlocking quest for Extendingot to be accurate to its cost
- (Chapter 21) Add autocrafting information for Thaumic Energistics
- (Chapter 23) Remove incorrect information relating to Crop Sticks
- (Chapter 23) Adjust information pertaining to the Scroll of Written Expertise, and being able to right click to gain the knowledge of how to use the table

Misc:
- Added Tinkers OreDict Cache, which improves launch speed by ~10% on launches past the first
- Prevent Underground Biomes from generating in non-overworld Dimensions. Not technically a bug, but an unintended change that players dislike



Version 2.15.0:

Mod Updates:
- Update DJ2Addons: 1.0.1 -> 1.1.0
- Update Thaumic Augmentation: 2.1.5 -> 2.1.7
- Update Roots: 3.1.4 -> 3.1.5
- Update UB: 1.3.11 -> 1.3.14
- Update ModTweaker: 4.0.20.4 -> 4.0.20.11
- Update CraftTweaker: 4.1.20.674 -> 4.1.20.675
- Update UniDict: 3.0.8 -> 3.0.10
- Update JEI: 4.16.1.301 -> 4.16.1.302
- Update LibVulpes: build -84 -> build -25
- Update WanionLib: 2.5 -> 2.9
- Update Hammer Lib: 2.0.6.28 -> 2.0.6.32

Bugfixes:
- Fix Gas Storage Housing uses being missing.
- EnderIO Attractor Crystal recipe is now actually craftable.
- Fix Evilcraft's Vengeance Pickaxe crafting with an incorrect enchantment.
- Glod Blocks now drop the correct NBT tagged Glod Block.
- Fix Roots Bowl duplication glitch.

Balance Changes:
- Moved higher tiers of Blood Magic's Incense Altar earlier, adjusted their recipes.
- Add Saturation providing Botania Brews, comes in all variants (potion, Incense Stick, and Tainted Blood Pendant).
- Add Warp Ward providing Botania Tainted Blood Pendant, but nerf the Warp Ward recipe (this allows permanent negation of negative Warp effects at a slight mana upkeep - cost).
- Add a Warp Ward recipe obtainable early in Vethea because warp carries over.
- Move the Unwarpification Talisman significantly earlier, into mid-Astral Sorcery (Chapter 28 -> 23).
- Enchanted Golden Berries cost was reduced.
- Reduce Spatial Storage component costs.
- Crafting the Tier I /Dank/Null now crafts with Soulbound 10.
- Increase the stack size of Industrial Foregoing Range Addons to 64.
- Remove a number of incorrect item descriptions from the JEI tab.
- NBT removal recipes for Ender Utilities Link Crystals.
- Add more types of zombies to the EnderIO Z-Logic Controller.
- Adjusted and added quests relevant to balance changes.

Quest Updates:
- (Chapter 11) Add a quest for RFTools Powercells.
- (Chapter 21) Improved the description of "Molding the Void".
- (Chapter 22) Fix incorrect boss name in "Heliosis' Dream".
- (Chapter 22) Fix an incorrect quest amount requirement in "Zappy!".
- (Chapter 24) Fix a typo in "Wait WHAT? Aliens?".

Version 2.14.2:

- Fixed right clicking certain entities causing a Null Pointer Exception.

Version 2.14.1:

- Updated Divine Journey 2 Addons from 1.0 to 1.0.1
- Fixed missing resources.

Version 2.14.0:

Mod additions:
- Divine Journey 2 Addons 1.0 by ThePowerOfScience a.k.a Haiku
- Gas Conduits 5.3.70
- LagGoggles 5.8-132
- TickCentral 3.2
- Wasaila 1.0 (Waila AgriCraft stats addon)

Mod updates:
- AE2 Unofficial Extended Life v51e -> v0.52.4
- EnderIO 5.2.61 -> 5.2.70
- EnderIO Endergy 5.2.61 -> 5.3.70
- EnderTweaker 1.2.0 -> 1.2.3
- OAuth 1.06.3 -> 1.06.4
- Underground Biomes 1.3.8 -> 1.3.11
- Removed Lapis Stays in the Enchantment Table, because it has been abandonded, and it cannot be downloaded by third party launchers.

Additions:
- Immersive Engineering Wires and all metal Rods can now be made in the Sawmill and Precision Sawmill as well.
- Nether Reeds Blocks can once again be converted into Nether Reeds. Added a different recipe for Reeds Buttons to avoid conflict. (This broke at some point.)
- Diamond Camel Armor, Diamond Desert Wolf Armor & Diamond Gloves can now be crushed into Diamonds.
- Enchanted Golden Dates can now also be made in the Aether Altar from regular Golden Dates. (The player just needs to progress a bit further first.) Noted this in a tooltip and a quest.
- Mekanism machines can now be cleared via crafting.
- Pulsating Crystals can now be made 4 at the time if using a Diamatine Crystal instead of a Diamond.
- Vibrant Crystals can now be made 4 at the time if using an Emeradic Crystal instead of an Emerald.
- Added a recipe for Gas Conduits, and added a quest for them in Chapter 11.
- Buffalo Hide and Imp Leather are now craftable using Tier 2 Mystical Agriculture Essences.
- The Unending Bowl can now also be crystallized into Methane. (It's got the Coal and the Oxygen!)
- Demon Ingots can now be crafted from Gold Essence and Nether Essence.
- LightningCraft Ichor can now also be made in the Lightningcraft Infusion Multiblock.
- Rainbow Tablets can now also be made slightly cheaper once the player has access to Plasma Cores.
- Added an Alumite Singularity, which is now required for the Tinkers' Singularity.

Balance changes:
- VanillaFix Toasts no longer appear on the top right side of the screen, instead they are just logged.
- Chisels and Bits works correctly now, and its Chisels are unbreakable.
- Slightly more Aechor Plants spawn in the Aether.
- Removed Mithril Ore and related recipes to avoid confusion. Mithril Ore wasn't obtainable anyway.
- Solar Panels V-VIII and Photovoltaic Cells III-VI are now cheaper and available much earlier. Instead of unlocking them through Ch11-23, they are now unlocked in through Ch11-13.
- All Building Gadgets now used 1/10th of the power per click.
- The Superheating Element now produces 10x more heat for more Boiler Steam production.
- Ender Crafting and Combination Crafting is now twice as fast; the Quantum Compressor is now 5x as fast.
- The Hellfire Forge is now 10x faster.
- Will transfer rate is now 10x faster.
- Hellfire Forges can now craft with any Will type.
- Purified Tablets craft 20x as fast.
- The Wildwood Dungeon Spawners are now all behind breakable Obsidian.
- The Filled Bowl of Empty Promises is now made in the Hellfire Forge.
- Increased all Modular Machinery Fluid Hatches 10x. Noted this in relevant quests. (The Essence of Dimensionality & Essence of Thought still take two full Fluid Hatches to create.)
- Bewitchment Demons can no longer be traded with. (This was never intended.)
- Life Essence is once again output by the Mob Loot Fabricator; and increased the Life Essence & EvilCraft Blood output/tick 8x.
- Bricks, Brick blocks and Aerogel now have EMC.
- The second Neutron Collector recipe takes 1 less Energy Collector Mk2 but 1 more Neutronium Ingot.

Quest book changes:
- (Chapter 1) Corrected information about the workstation display location in the "What is JEI?" quest.
- (Chapter 3) Corrected "Immersive" -> "Immerse" the Pyre quest description.
- (Chapter 3) Added more Pigs, Rabbits & Mules to the list of mobs that can drop Fey Leather.
- (Chapter 4) Mentioned the Fluid Trash Can in the Coke Oven quest.
- (Chapter 5) Noted that Nether Reeds can only grow next to Lava.
- (Chapter 6) Removed the quest for the Mekanism Dynamic Tank. Added a warning tooltip that it can sometimes "forget" its liquid.
- (Chapter 6) The P2P Tunnel and Advanced Memory Card quests are now NBT independent.
- (Chapter 7) Corrected the explanation on what Kilns can smelt.
- (Chapter 7) Noted that the Enchanted Golden Date can be gotten from the Aether Altar as well.
- (Chapter 8) Added more information about the spawn location of the Gold dungeon.
- (Chapter 10) Added some notes to the Fluid Transposer and Fractionating Still quests that JEI sometimes doesn't show potion recipes correctly.
- (Chapter 11) The Energy Field Provider quest now mentions that it only works on Industrial Foregoing machines.
- (Chapter 11) Instead of Solar Panel IV, now V states that it's the final Solar Panel available before progressing further into other Chapters.
- (Chapter 11) Rebalanced the quest rewards for Solar Panels.
- (Chapter 12) Corrected the phrase "no longer" in the Portal to the void quest.
- (Chapter 13) Added a note to the Laser Drill quest to explain what "depth" refers to.
- (Chapter 14) Suggested to make multiple Necronomicons.
- (Chapter 15) Added a note to the Blood Extractor quest that it can be combined with a Dark Tank to increase its internal tank.
- (Chapter 15) Corrected Step 3 of the the recommended automation method of the Hellfire Forge.
- (Chapter 16) The Tier 1 Seeds quest now correctly states that Crop Sticks are unlocked with Astral Sorcery.
- (Chapter 16) Changed the joke from "But Steel isn't an alloy" to "But Platinum isn't an alloy".
- (Chapter 19) Added a warning tooltip to the Alchemical Construct quest not to put a Hopper on a Thaumatorium, as it crashes the game.
- (Chapter 22) Added a link to a website to test Big Reactor builds.
- (Chapter 22) Recommended a way to maximize Cyanite gain.
- (Chapter 23) Corrected the recommended automation method for the Starlight Infuser.
- (Chapter 23) Mob Loot Fabricator quest: Added a note that Life Essence only fills up to the Orb's capacity; and made the quest larger, because it's important.
- (Chapter 24) Rephrased the recommended automation for Compressors.
- (Chapter 24) Unhid some accidentally hidden quests.
- (Chapter 24) The Laser Focus quest is now NBT independent.
- (Chapter 27) Corrected the amount of blocks the Material Absorber & the Liquid Absorber need.
- (Chapter 28) Corrected the amount of EMC a piece of White Matter costs.
- (Chapter 29) Rebalanced a bunch of the rewards in the Chapter.
- (Chapter 29) Noted that the player will need 4 Essences of Englargement overall.
- (Chapter 29) Changed some bold letter to dark red letters for better visibility.

Miscellaneous:
- Removed & hid the unused Stone Rod from JEI.
- Disabled the Death Urn that came with the new EnderIO version.
- Disabled more Inventory Panel-related items added that came with the new EnderIO version.
- Added tooltips to all Blood Orbs of their maximum capacity and Altar tier requirement.
- Added tooltips to custom Blood Magic Slates, just like the ones on previous tiers.
- The Rune of Deception now has a slightly clearer icon.
